import { createRouter, createWebHashHistory } from 'vue-router'
import HomeView from '../views/HomeView.vue'
import SelectSize from '../views/SelectSize.vue'
import Spelplan from '../views/Spelplan.vue'

const routes = [
  {
    path: '/',
    name: 'home',
    component: SelectSize
  },

  {
    path: '/spelplan',
    name: 'spelplan',
    component: Spelplan
  },

    
    ,
    {
    path: '/about',
    name: 'about',
    // route level code-splitting
    // this generates a separate chunk (about.[hash].js) for this route
    // which is lazy-loaded when the route is visited.
    component: function () {
      return import(/* webpackChunkName: "about" */ '../views/AboutView.vue')
    }
  }
]

const router = createRouter({
  history: createWebHashHistory(),
  routes
})

export default router
